<?php
/**
 * TemplateManager Config Class.
 * @author: Ryan Demmer
 * @version: templatemanager.php 2009-05-09
 */
class TemplatemanagerConfig {
	function getConfig( &$vars ){
		$jce 	=& JContentEditor::getInstance();
		$params = $jce->getPluginParams( 'templatemanager' );
		
		$vars['templatemanager_selected_content_classes'] 	= $jce->getParam( $params, 'templatemanager_selected_content_classes', '' );
		$vars['templatemanager_cdate_classes']				= $jce->getParam( $params, 'templatemanager_cdate_classes', 'cdate creationdate', 'cdate creationdate' );
		$vars['templatemanager_mdate_classes']				= $jce->getParam( $params, 'templatemanager_mdate_classes', 'mdate modifieddate', 'mdate modifieddate' );
		$vars['templatemanager_cdate_format']				= $jce->getParam( $params, 'templatemanager_cdate_format', '%m/%d/%Y : %H:%M:%S', '%m/%d/%Y : %H:%M:%S' );
		$vars['templatemanager_mdate_format']				= $jce->getParam( $params, 'templatemanager_mdate_format', '%m/%d/%Y : %H:%M:%S', '%m/%d/%Y : %H:%M:%S' );
	}
}
?>